<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
  <title>Personal Profile</title>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <link th:href="@{/styles/main.css}" rel="stylesheet" />
</head>
<body>

<ul>
  <li><a href="/">Home</a></li>
  <li><a href="/search">Search</a></li>
  <div th:if="${isPersonalProfile && profileAccount != null and profileAccount.getClass().getName().equals('com.assignment3.Assignment3.models.Vendor')}">
    <li><a href="/addSmartphone">Add a Smartphone</a></li>
    <li><a href="/addLaptop">Add a Laptop</a></li>
  </div>
  <li th:if="${profileAccount != null}" style="float:right"><a href="/logout">Log out</a></li>
  <li th:if="${profileAccount != null}" style="float:right"><a href="/profile" th:text="${profileAccount.getUsername()}"></a></li>
  <li th:if="${profileAccount == null}" style="float:right"><a href="/signUp">Sign up or Login</a></li>
</ul><br>

<div th:if="${pswChanged} == true" class="correctAlert">
  <span class="closebtn" onclick="this.parentElement.style.display='none';">&times;</span>
  Success! your password has been changed successfully!
</div>

<div th:if="${pswError} == true" class="incorrectAlert">
  <span class="closebtn" onclick="this.parentElement.style.display='none';">&times;</span>
  Passwords must match!
</div>



<h2>Personal Information</h2>

<form>
  <table>
    <tr>
      <th>Name: </th>
      <td th:text="${profileAccount.getName()}"></td>
    </tr>
    <tr>
      <th>Last name: </th>
      <td th:text="${profileAccount.getSurname()}"></td>
    </tr>
    <tr>
      <th>Username: </th>
      <td th:text="${profileAccount.getUsername()}"></td>
    </tr>
    <div th:if="${isPersonalProfile == true}">
      <tr>
        <th>Password:</th>
        <td><input type="text" id="newPsw" name="newPsw" required="required"></td>
      </tr>
      <tr>
        <th>Confirm Password:</th>
        <td><input type="text" id="newPswConfirm" name="newPswConfirm" required="required"></td>
      </tr>
      <tr>
        <td><input type="submit" value="Change Password"></td>
      </tr>
    </div>
  </table>
</form>


<h2>Follows</h2>
<p th:if="${isPersonalProfile == true && followedUsers.isEmpty()}">You don't follow anyone yet. Try following someone!</p>
<table th:unless="${followedUsers.isEmpty()}" th:object="${followedUsers}" border="1">
  <tr>
    <th>Name</th>
    <th th:if="${isPersonalProfile == true}">Follow/Unfollow</th>
  </tr>
  <tr th:each="user :${followedUsers}">
    <td><a th:href="@{/profile/{userProfile}(userProfile = ${user.getUsername()})}" th:text="${user.getUsername()}"></a></td>
    <td th:if="${!profileAccount.getFollowed().containsKey(user.getUsername())}">
      <a th:href="@{/follow/{accountToBeFollowed}?referrer=/profile(accountToBeFollowed = ${user.getUsername()})}">Follow</a>
    </td>
    <div th:if="${isPersonalProfile == true}">
      <td th:if="${profileAccount.getFollowed().containsKey(user.getUsername())}">
        <a th:href="@{/unfollow/{accountToBeFollowed}?referrer=/profile (accountToBeFollowed = (${user.getUsername()}))}">Unfollow</a>
      </td>
    </div>
  </tr>
</table>


<div th:if="${profileAccount != null and profileAccount.getClass().getName().equals('com.assignment3.Assignment3.models.Vendor')}">
  <h2>Insertions</h2>
  <p th:if="${isPersonalProfile == true && devices.isEmpty()}">You don't have any insertion yet. Try adding some!</p>
  <table th:unless="${devices.isEmpty()}" th:object="${devices}" border="1">
    <tr>
      <th>Name</th>
      <th>Type</th>
      <th>Release date</th>
      <th>Brand</th>
      <th>Additional information</th>
      <th>Price</th>
    </tr>
    <tr th:each="device :${devices}">
      <td  th:text="${device.getName()}"></td>
      <td  th:if="${device.getClass().getName().equals('com.assignment3.Assignment3.models.Smartphone')}" th:text="Smartphone"></td>
      <td  th:if="${device.getClass().getName().equals('com.assignment3.Assignment3.models.Laptop')}" th:text="Laptop"></td>
      <td  th:text="${device.getReleaseDate()}"></td>
      <td  th:text="${device.getBrand()}"></td>
      <td  th:if="${device.getClass().getName().equals('com.assignment3.Assignment3.models.Smartphone')}" th:text="'Camera Mp: ' + ${device.getCamera()}"></td>
      <td  th:if="${device.getClass().getName().equals('com.assignment3.Assignment3.models.Laptop')}" th:text="'Keyboard layout: ' + ${device.getKeyboardLayout()}"></td>
      <td  th:text="${device.getPrice()} + '€'"></td>
      <td th:if="${isPersonalProfile == true}">
          <a th:href="@{/delete/{deviceToBeDeleted}(deviceToBeDeleted = ${device.getName()})}">Delete</a>
      </td>
    </tr>
  </table>
</div>

<div th:if="${isPersonalProfile == true}">
  <h2>Your Purchases</h2>
  <p th:if="${profileAccount.getBoughtDevices().isEmpty()}">You don't have any purchase yet. Try buying something!</p>
  <table border="1">
    <tr>
      <th>Name</th>
      <th>Type</th>
      <th>Release date</th>
      <th>Brand</th>
      <th>Additional information</th>
      <th>Price</th>
    </tr>
    <tr th:each="device :${profileAccount.getBoughtDevices()}">
      <td  th:text="${device.getName()}"></td>
      <td  th:if="${device.getClass().getName().equals('com.assignment3.Assignment3.models.Smartphone')}" th:text="Smartphone"></td>
      <td  th:if="${device.getClass().getName().equals('com.assignment3.Assignment3.models.Laptop')}" th:text="Laptop"></td>
      <td  th:text="${device.getReleaseDate()}"></td>
      <td  th:text="${device.getBrand()}"></td>
      <td  th:if="${device.getClass().getName().equals('com.assignment3.Assignment3.models.Smartphone')}" th:text="'Camera Mp: ' + ${device.getCamera()}"></td>
      <td  th:if="${device.getClass().getName().equals('com.assignment3.Assignment3.models.Laptop')}" th:text="'Keyboard layout: ' + ${device.getKeyboardLayout()}"></td>
      <td  th:text="${device.getPrice()} + '€'"></td>
    </tr>
  </table>

</div>

</body>
</html>